unit UnitThread;

interface

uses
  Classes,SyncObjs;

type
  TEventThread = class(TThread)
  private
    { Private declarations }
  protected
    procedure Execute; override;
    procedure Show;
  public
    constructor Create(CreateSuspended: Boolean);
  end;

implementation
uses D2XXUnit, Main;
var Event: TEvent;

constructor TEventThread.Create(CreateSuspended: Boolean);
begin
  FreeOnTerminate := True;
  inherited Create(CreateSuspended);
  Priority := tpHighest;
  Event:=TEvent.Create(nil,False,False,'');
  SetEventNotification(FT_EVENT_RXCHAR, Event.Handle);
end;

procedure TEventThread.Execute;
begin
  while(not Terminated)do
  begin
    //if(wrSignaled = Event.WaitFor(100))then frmMain.ReceiveData(0);
    Event.WaitFor(100);
    synchronize(Show);
  end;
end;

procedure TEventThread.Show;
begin
  frmMain.ReceiveData(1);
end;


end.
